> ## Documentation Index
> Fetch the complete documentation index at: https://docs.krea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# LTX-2.3 22B

> High-quality audio-video model from Lightricks.

## Pricing

<Note>Fixed API prices in USD.</Note>

| LoRA | Duration |    Price |
| ---- | -------- | -------: |
| No   | 5s       | \$0.1798 |
| Yes  | 5s       | \$0.2022 |
| No   | 10s      | \$0.3579 |
| Yes  | 10s      | \$0.4025 |
| No   | 15s      | \$0.5345 |
| Yes  | 15s      | \$0.6011 |
| No   | 20s      | \$0.7126 |
| Yes  | 20s      | \$0.8014 |

<Accordion title="Deprecated request aliases">
  These aliases are accepted for compatibility only and are not shown in the request schema.

  | Deprecated      | Use instead      | Accepted until |
  | --------------- | ---------------- | -------------- |
  | `startImage`    | `start_image`    | 2026-06-19     |
  | `aspectRatio`   | `aspect_ratio`   | 2026-06-19     |
  | `generateAudio` | `generate_audio` | 2026-06-19     |
  | `endImage`      | `end_image`      | 2026-06-19     |
  | `presetStyles`  | `styles`         | 2026-06-19     |
</Accordion>


## OpenAPI

````yaml https://api.krea.ai/openapi.json post /generate/video/lightricks/ltx-video-2.3-22b
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
paths:
  /generate/video/lightricks/ltx-video-2.3-22b:
    post:
      tags:
        - Video
      summary: LTX-2.3 22B
      description: High-quality audio-video model from Lightricks.
      parameters:
        - name: X-Webhook-URL
          in: header
          required: false
          schema:
            type: string
            format: uri
          description: >-
            URL to receive a POST request when the job completes. The webhook
            will receive the job data including results.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                prompt:
                  type: string
                  minLength: 1
                start_image:
                  type:
                    - string
                    - 'null'
                  format: uri
                aspect_ratio:
                  type: string
                  enum:
                    - '16:9'
                    - '9:16'
                  default: '16:9'
                duration:
                  anyOf:
                    - anyOf:
                        - anyOf:
                            - type: number
                              const: 5
                            - type: number
                              const: 10
                        - type: number
                          const: 15
                    - type: number
                      const: 20
                  default: 5
                num_frames:
                  type: integer
                  minimum: 9
                  maximum: 481
                seed:
                  type: integer
                  minimum: 0
                  maximum: 2147483647
                generate_audio:
                  type: boolean
                  default: true
                end_image:
                  type:
                    - string
                    - 'null'
                  format: uri
                styles:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      strength:
                        type: number
                        minimum: -2
                        maximum: 2
                    required:
                      - id
                      - strength
              required:
                - prompt
              additionalProperties: false
            example:
              prompt: >-
                Vast terracotta badlands, sculpted by wind and water over
                millennia.
      responses:
        '200':
          description: >-
            The resulting job data. This will be returned in a pending state
            until the job is completed. See
            [`/jobs/{id}`](#tag/default/get/jobs/{id}) for retrieving the
            results.
          content:
            application/json:
              schema:
                type: object
                properties:
                  job_id:
                    type: string
                    format: uuid
                  status:
                    type: string
                    enum:
                      - backlogged
                      - queued
                      - scheduled
                      - processing
                      - sampling
                      - intermediate-complete
                      - completed
                      - failed
                      - cancelled
                  created_at:
                    type: string
                    format: date-time
                  completed_at:
                    type: 'null'
                  result:
                    type: 'null'
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                required:
                  - job_id
                  - status
                  - created_at
                  - completed_at
                  - result
        '400':
          description: The request body is invalid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '401':
          description: You are not authenticated.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '402':
          description: You have run out of credits.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '429':
          description: You have reached the maximum number of concurrent jobs.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````